Page MenuHomePhabricator

Make Blueprint fully localizable
Closed, ResolvedPublic

Description

Blueprint currently uses hardcoded search inputs:

<input
	type="text"
	id="searchInput"
	class="form-control search-input"
	placeholder="Search"
	name="search"
	>
<input type="hidden" name="title" value="Special:Search">

We need to make it possible to localize.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedVolker_E

Event Timeline

Volker_E claimed this task.
Volker_E raised the priority of this task from to Normal.
Volker_E updated the task description. (Show Details)
Volker_E added projects: Blueprint, I18n.
Volker_E added subscribers: Volker_E, Prtksxna, Spage, Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 10:15 PM
Volker_E added a comment.EditedSep 11 2015, 10:17 PM

Vector currently uses

echo $this->makeSearchInput( array( 'id' => 'searchInput' ) );
echo Html::hidden( 'title', $this->get( 'searchtitle' ) );

@Prtksxna your insights into the currently different template approach on Blueprint would come in handy here.

Volker_E moved this task from Backlog to In Development on the Blueprint board.Nov 13 2015, 3:58 AM

Change 253064 had a related patch set uploaded (by VolkerE):
Make Blueprint strings fully localizable

https://gerrit.wikimedia.org/r/253064

Change 253064 merged by jenkins-bot:
Make Blueprint strings fully localizable

https://gerrit.wikimedia.org/r/253064

Volker_E closed this task as Resolved.Nov 22 2015, 1:57 AM
Volker_E removed a project: Patch-For-Review.
Volker_E set Security to None.
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.